xcb_input_device_key_state_notify_event_t(3)

NAME
xcb_input_device_key_state_notify_event_t -

SYNOPSIS
#include <xcb/xinput.h>

  Event datastructure

typedef struct xcb_input_device_key_state_notify_event_t {
    uint8_t  response_type;
    uint8_t  device_id;
    uint16_t sequence;
    uint8_t  keys[28];
} xcb_input_device_key_state_notify_event_t;

EVENT FIELDS

response_type
    The type of this event, in this case XCB_INPUT_DEVICE_KEY_STATE_NOTIFY. This field is also present in the xcb_generic_event_t and can be used to tell events apart from each other.

sequence
    The sequence number of the last request processed by the X11 server.

device_id
    NOT YET DOCUMENTED.

keys
    NOT YET DOCUMENTED.

DESCRIPTION

SEE ALSO

AUTHOR
Generated from xinput.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.